Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 10-03-2011 20:59:00

Pollux
Membre
Distrib. : Squeeze
Noyau : 2.6.32
(G)UI : aucune
Inscription : 19-11-2009

Installation mysql-server-5.1

Bonjour,

j'ai mis a jour de Lenny vers Squeeze,

aucun soucis, sauf MySQL, il s'installe, configure, lance MySQL et là j'ai

Préconfiguration des paquets...
Sélection du paquet mysql-server-core-5.1 précédemment désélectionné.
(Lecture de la base de données... 56509 fichiers et répertoires déjà installés.)
Dépaquetage de mysql-server-core-5.1 (à partir de .../mysql-server-core-5.1_5.1.                                                                                                                                                             49-3_i386.deb) ...
Sélection du paquet mysql-server-5.1 précédemment désélectionné.
Dépaquetage de mysql-server-5.1 (à partir de .../mysql-server-5.1_5.1.49-3_i386.                                                                                                                                                             deb) ...
Sélection du paquet mysql-server précédemment désélectionné.
Dépaquetage de mysql-server (à partir de .../mysql-server_5.1.49-3_all.deb) ...
Traitement des actions différées (« triggers ») pour « man-db »...
Paramétrage de mysql-server-core-5.1 (5.1.49-3) ...
Paramétrage de mysql-server-5.1 (5.1.49-3) ...
Stopping MySQL database server: mysqld.
Starting MySQL database server: mysqld . . . . . . . . . . . . . . failed!
invoke-rc.d: initscript mysql, action "start" failed.
dpkg : erreur de traitement de mysql-server-5.1 (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de so                                                                                                                                                             rtie d'état 1
dpkg : des problèmes de dépendances empêchent la configuration de mysql-server :
 mysql-server dépend de mysql-server-5.1 ; cependant :
 Le paquet mysql-server-5.1 n'est pas encore configuré.
dpkg : erreur de traitement de mysql-server (--configure) :
 problèmes de dépendances - laissé non configuré
configured to not write apport reports
                                      configured to not write apport reports
                                                                            Des                                                                                                                                                              erreurs ont été rencontrées pendant l'exécution :
 mysql-server-5.1
 mysql-server
E: Sub-process /usr/bin/dpkg returned an error code (1)
Échec de l'installation d'un paquet. Tentative de réparation :
Paramétrage de mysql-server-5.1 (5.1.49-3) ...
Stopping MySQL database server: mysqld.
Starting MySQL database server: mysqld . . . . . . . . . . . . . . failed!
invoke-rc.d: initscript mysql, action "start" failed.
dpkg : erreur de traitement de mysql-server-5.1 (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
dpkg : des problèmes de dépendances empêchent la configuration de mysql-server :
 mysql-server dépend de mysql-server-5.1 ; cependant :
 Le paquet mysql-server-5.1 n'est pas encore configuré.
dpkg : erreur de traitement de mysql-server (--configure) :
 problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
 mysql-server-5.1
 mysql-server


j'ai essayer de désinstaller tous les composants mysql (mysql-server, mysql-client)

j'ai essayer de lancer mysqld depuis l'exe directement :

# /usr/sbin/mysqld
110310 20:11:29 [Warning] '--safe-show-database' is deprecated and will be removed in a future release. Please use 'GRANT SHOW DATABASES' instead.
110310 20:11:29 [Note] Plugin 'FEDERATED' is disabled.
/usr/sbin/mysqld: Table 'mysql.plugin' doesn't exist
110310 20:11:29 [ERROR] Can't open the mysql.plugin table. Please run mysql_upgrade to create it.
110310 20:11:29  InnoDB: Started; log sequence number 0 43695
110310 20:11:29 [ERROR] /usr/sbin/mysqld: unknown option '--skip-bdb'
110310 20:11:29 [ERROR] Aborting

110310 20:11:29  InnoDB: Starting shutdown...
110310 20:11:34  InnoDB: Shutdown completed; log sequence number 0 43695
110310 20:11:34 [Note] /usr/sbin/mysqld: Shutdown complete


bien sur le lancement de mysql_upgrade ne fonctionne pas.

Merci

Hors ligne

#2 20-04-2011 16:06:18

gilles974
Membre
Distrib. : squeeze
Noyau : 2.6.32-5-686
(G)UI : console
Inscription : 11-04-2011

Re : Installation mysql-server-5.1

salut

essaye de faire un

aptitude -f install

Dernière modification par gilles974 (21-04-2011 12:46:34)

Hors ligne

Pied de page des forums